## eoconv 1.5

=== Makefile ===
PREFIX?=/usr/local
MAN1DIR=$(DESTDIR)$(PREFIX)/share/man/man1
DOCDIR=$(DESTDIR)$(PREFIX)/share/doc
BINDIR=$(DESTDIR)$(PREFIX)/bin

DOCS=eoconv.html AUTHORS COPYING INSTALL.md NEWS README.md THANKS

all: eoconv.1 eoconv.html

clean:
	rm -f eoconv.1 eoconv.txt eoconv.html eoconv.1.gz

eoconv.1: eoconv.pl
	pod2man $< >$@

eoconv.txt: eoconv.pl
	pod2text <$< >$@

eoconv.html: eoconv.pl
	pod2html $< >$@
	rm pod2htm?.tmp

eoconv.1.gz: eoconv.1
	gzip -f eoconv.1

install-bin: eoconv.pl
	install -D eoconv.pl $(BINDIR)/eoconv

install-man: eoconv.1.gz
	mkdir -p $(MAN1DIR)
	cp eoconv.1.gz $(MAN1DIR)

install-docs: $(DOCS)
	mkdir -p $(DOCDIR)/eoconv
	cp $(DOCS) $(DOCDIR)/eoconv

install: install-bin install-man install-docs

uninstall:
	rm -f $(MAN1DIR)/eoconv.1.gz
	rm -f $(BINDIR)/eoconv
	$(foreach file,$(DOCS),rm -f $(DOCDIR)/eoconv/$(file);)
	rmdir --ignore-fail-on-non-empty $(DOCDIR)/eoconv

## eoconv 1.4

=== debian/changelog ===
eoconv (1.4-1) unstable; urgency=low

  * Initial release (Closes: #809817)

 -- Dmitry Bogatov <KAction@gnu.org>  Tue, 05 Apr 2016 08:53:47 +0300

=== debian/control ===
Source: eoconv
Section: text
Priority: optional
Maintainer: Dmitry Bogatov <KAction@gnu.org>
Build-Depends: debhelper (>= 9), dh-exec
Standards-Version: 3.9.7
Homepage: http://en.nothingisreal.com/wiki/Eoconv
Vcs-Browser: https://anonscm.debian.org/cgit/users/kaction-guest/eoconv.git
Vcs-Git: https://anonscm.debian.org/cgit/users/kaction-guest/eoconv.git

Package: eoconv
Architecture: any
Depends: perl, ${shlibs:Depends}, ${misc:Depends}
Description: convert text files between various Esperanto encodings
 Esperanto is written in an alphabet of 28 letters. However, only 22 of
 these letters can be found in the standard ASCII character set. The
 remaining six -- `c', `g', `h', `j', and `s' with circumflex, and `u'
 with breve -- are not available in ASCII. Various encoding systems
 have been developed to represent Esperanto text in printed and typed text.
 eoconv program converts between them.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	./makedocs

## eoconv 1.5

=== debian/changelog ===
eoconv (1.5-1) unstable; urgency=medium

  * New upstream release
  * Update upstream maintainer GPG key (new identity)
  * Patch to remove deperecated pragma is applied upstream, delete from
    quilt series.
  * Adjust debian/rules and eoconv.manpages to change of upstream build
    system.

 -- Dmitry Bogatov <KAction@gnu.org>  Sat, 24 Dec 2016 22:37:34 +0300

eoconv (1.4-2) unstable; urgency=medium

  * Fix corrupting utf8 text (Closes: #824407)
  * Install upstream changelog
  * Bump standards version to 3.9.8 (No changes needed)

 -- Dmitry Bogatov <KAction@gnu.org>  Wed, 14 Dec 2016 20:30:56 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dmitry Bogatov <KAction@gnu.org>
 Build-Depends: debhelper (>= 9), dh-exec
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://en.nothingisreal.com/wiki/Eoconv
 Vcs-Browser: https://anonscm.debian.org/cgit/users/kaction-guest/eoconv.git
 Vcs-Git: https://anonscm.debian.org/cgit/users/kaction-guest/eoconv.git

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

# Rebuild eoconv.1 ourself
override_dh_auto_build:
	pod2man eoconv.pl > eoconv.1

# Upstream Makefile install rule is just getting in the
# way. Everything is built and installed by means of debhelper.
override_dh_auto_install:

override_dh_installchangelogs:
	dh_installchangelogs NEWS
	dh_installchangelogs

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.sig/" http://files.nothingisreal.com/software/eoconv/eoconv-(.*).tar.bz2
